<? 
include_once("./_common.php");
/* 
2012. 03. 06 ziumsoft
*/
$g4[title] = "신고하기";
include_once("$g4[path]/head.sub.php");


if(!$is_member) alert_close("회원만 이용 할 수 있습니다. 로그인 하시기 바랍니다.");
if(!$report || !$wrid) alert_close("잘 못된 호출입니다. \\n신고를 위한 정보가 부족합니다. 다시 시도 해 주세요.");

$subject	= "";
$block_id	= "";		//-- 신고 된 아이디
//-- 쪽지 신고면 쪽지 정보를 읽는다. ------------
if($report == "memo") {
	$rd		= sql_fetch("select me_memo, me_id, me_send_mb_id from $g4[memo_table] where me_id='$wrid'");
	if(!$rd[me_id]) alert_close("신고하려는 대상이 삭제 되었거나 정보가 정확하지 않습니다.");
	$subject	= cut_str($rd[me_memo], 50, "");
	$block_id	= $rd[me_send_mb_id];

	$table		= $g4[memo_table];
}

//-- 게시판 신고면 게시판 정보를 읽는다. --------
if($report == "bbs") {
	$rd		= sql_fetch("select wr_id, wr_subject, mb_id from $write_table where wr_id='$wrid'");
	if(!$rd[wr_id]) alert_close("신고하려는 대상이 삭제 되었거나 정보가 정확하지 않습니다.");
	$subject	= cut_str($rd[wr_subject], 80, "");
	$block_id	= $rd[mb_id];

	$table		= $bo_table;
}
$recordno	= $wrid;

//-- 신고하려는 아이디가 관리자인가? ------------
$msg			= "";
$sw_report		= true;												//-- 0:신고 불가, 1:신고 가능
$report_condi	= explode("/", $zm_config[reportcondition]);		//-- 조건
$mb				= get_member($block_id);							//-- 신고대상의 회원정보
$tmpdate		= $g4[server_time] - (60 * 60 * 24 * $report_condi[2]);	//-- 현재로 부터 n일 전 날짜
$tmpdate		= date("Y-m-d H:i:s", $tmpdate);
$res_blind		= zm_isblindbbs($bo_table, $wrid);
if($res_blind) {
	$sw_report	= false;
	$msg		= "블라인드 처리 된 글은 신고 할 수 없습니다.";
}elseif($sw_report && is_admin($block_id)) { 
	$sw_report	= false; 
	$msg		= "대상이 관리자입니다. 신고할 수 없습니다.";
}elseif($sw_report && ($block_id == $member[mb_id])) {
	$sw_report	= false;
	$msg		= "본인을 신고 할 수 없습니다.";
}elseif($sw_report && $report_condi[0] && ($report_condi[0] > $member[mb_level])) {
	$sw_report	= false;
	$msg		= "신고 기능은 ".$zm_levelname[$report_condi[0]]."부터 이용 가능합니다.";
}elseif($sw_report && $report_condi[1] && ($mb[mb_level] > $member[mb_level])){
	$sw_report	= false;
	$msg		= "신고 할 수 없는 회원입니다.";					//-- 차마 등급이 낮아 신고 할 수 없다고 말 못하겠음 ㅠㅠ
}elseif($mb[mb_id] && $sw_report && ($report_condi[2] > 0) && ($tmpdate > $mb[mb_datetime])) {
	$sw_report	= false;
	$msg		= "가입 후 ".$report_condi[2]."일이 지난 회원은 신고 할 수 없습니다.";
}

if(!$sw_report) {	alert_close($msg); }
//-----------------------------------------------

$rd			= sql_fetch("select * from $zmb[table_blacklist_report] where db_block_id='$block_id' and db_report_id='$member[mb_id]' and db_table='$table' and db_wrid='$wrid'");
if($rd[db_report_id] == $member[mb_id]) alert_close("이미 신고 하셨습니다.");


echo "<script type='text/javascript' src='{$g4['path']}/js/ajax.js'></script>";
include_once("$member_skin_path/zm.police.skin.php");
include_once("$g4[path]/tail.sub.php");
?>